Loading...
Searching...
No Matches
irr::scene::IParticleFadeOutAffector Class Referenceabstract

A particle affector which fades out the particles. More...

`#include <IParticleFadeOutAffector.h>`

Inheritance diagram for irr::scene::IParticleFadeOutAffector:

## Public Member Functions

virtual u32 | getFadeOutTime () const =0
| Gets the time in milliseconds it takes for each particle to fade out.
virtual const video::SColor & | getTargetColor () const =0
| Gets the targetColor, i.e. the color the particles will interpolate to over time.
virtual E_PARTICLE_AFFECTOR_TYPE | getType () const
| Get emitter type.
virtual void | setFadeOutTime (u32 fadeOutTime)=0
| Sets the time in milliseconds it takes for each particle to fade out (minimal 1 ms).
virtual void | setTargetColor (const video::SColor &targetColor)=0
| Sets the targetColor, i.e. the color the particles will interpolate to over time.
Public Member Functions inherited from irr::scene::IParticleAffector
| IParticleAffector ()
| constructor
virtual void | affect (u32 now, SParticle *particlearray, u32 count)=0
| Affects an array of particles.
virtual bool | getEnabled () const
| Gets whether or not the affector is currently enabled.
virtual void | setEnabled (bool enabled)
| Sets whether or not the affector is currently enabled.
Public Member Functions inherited from irr::io::IAttributeExchangingObject
virtual void | deserializeAttributes (io::IAttributes *in, io::SAttributeReadWriteOptions *options=0)
| Reads attributes of the object.
virtual void | serializeAttributes (io::IAttributes *out, io::SAttributeReadWriteOptions *options=0) const
| Writes attributes of the object.
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.

## Additional Inherited Members

Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.
Protected Attributes inherited from irr::scene::IParticleAffector
bool | Enabled

## Detailed Description

A particle affector which fades out the particles.

Definition at line 16 of file IParticleFadeOutAffector.h.

## Member Function Documentation

## getFadeOutTime()

virtual u32 irr::scene::IParticleFadeOutAffector::getFadeOutTime | ( |  | ) | const

pure virtual

Gets the time in milliseconds it takes for each particle to fade out.

## getTargetColor()

virtual const video::SColor & irr::scene::IParticleFadeOutAffector::getTargetColor | ( |  | ) | const

pure virtual

Gets the targetColor, i.e. the color the particles will interpolate to over time.

## getType()

virtual E_PARTICLE_AFFECTOR_TYPE irr::scene::IParticleFadeOutAffector::getType | ( |  | ) | const

inline virtual

Get emitter type.

Implements irr::scene::IParticleAffector.

Definition at line 33 of file IParticleFadeOutAffector.h.

References irr::scene::EPAT_FADE_OUT.

## setFadeOutTime()

virtual void irr::scene::IParticleFadeOutAffector::setFadeOutTime | ( | u32 | fadeOutTime | ) |

pure virtual

Sets the time in milliseconds it takes for each particle to fade out (minimal 1 ms).

## setTargetColor()

virtual void irr::scene::IParticleFadeOutAffector::setTargetColor | ( | const video::SColor & | targetColor | ) |

pure virtual

Sets the targetColor, i.e. the color the particles will interpolate to over time.

The documentation for this class was generated from the following file:

- IParticleFadeOutAffector.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0